ChangeSet 1.1474.81.14, 2004/01/16 15:28:56-08:00, stern@rowland.harvard.edu

[PATCH] USB Storage: unusual_devs.h update

On Wed, 14 Jan 2004, Marcin Juszkiewicz wrote:

> After running "MS Import" on my Sony Clie SJ30 palmtop I got:
>
> hub 3-0:1.0: new USB device on port 2, assigned address 6
> usb-storage: This device (054c,006d,0100 S 05 P 00) has unneeded SubClass and Protocol entries in unusual_devs.h
>    Please send a copy of this message to <linux-usb-devel@lists.sourceforge.net>

Thanks for sending this.  The updated information will appear in an
upcoming kernel.


 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Tue Jan 20 17:36:28 2004
+++ b/drivers/usb/storage/unusual_devs.h	Tue Jan 20 17:36:28 2004
@@ -289,7 +289,7 @@
 UNUSUAL_DEV(  0x054c, 0x006d, 0x0000, 0x9999,
 		"Sony",
 		"PEG Mass Storage",
-		US_SC_8070, US_PR_CBI, NULL,
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_INQUIRY ),
 		
 UNUSUAL_DEV(  0x057b, 0x0000, 0x0000, 0x0299, 
